# https://github.com/nomacs/nomacs
%global forgeurl0 https://github.com/nomacs/nomacs
%global version0  3.17.2287
%global tag0      3.17.2287

# https://github.com/nomacs/nomacs-plugins
%global forgeurl1 https://github.com/nomacs/nomacs-plugins
%global version1  3.16
%global tag1      3.16

%forgemeta -a

Name:           nomacs
Summary:        Lightweight image viewer
Version:        3.17
Release:        %autorelease

# GPL-3.0-or-later: maon program 
# GPL-3.0-only:
#  - ImageLounge/cmake/DependencyCollector.py
#  - scripts/versionincrement.py
#  - scripts/versionupdate.py
License:        GPL-3.0-or-later AND GPL-3.0-only
Url:            http://nomacs.org
Source:         %{forgesource0}
Source:         %{forgesource1}
Patch:          0001-Rename-Appdata-file.patch
# plugins install path (https://github.com/nomacs/nomacs-plugins/issues/34)
Patch:          0001-Fix-plugins-library-installation-path.patch

BuildRequires:  cmake
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  lcov
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(exiv2) >= 0.20
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libraw) >= 0.12.0
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(opencv) >= 2.1.0
BuildRequires:  pkgconfig(quazip1-qt5)
BuildRequires:  qt5-linguist
Recommends:     qt5-qtimageformats

%description
nomacs is image viewer based on Qt5 library. nomacs is small, fast and able to
handle the most common image formats.

Additionally it is possible to synchronize multiple viewer running on the same
computer or via LAN is possible.

It allows to compare images and spot the differences e.g. schemes of architects
to show the progress).

%package        devel
Summary:        Development library for nomacs image viewer.
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description	devel
Development library for nomacs.

%package        plugins
Summary:        Plugins for nomacs image viewer.
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description	plugins
Some usefull plugins for nomacs:

 - Affine transformations
 - RGB image from greyscales
 - Fake miniature filter
 - Page extractions
 - Painting

%prep
%setup -a1 -qn %{name}-%{version0}
mv nomacs-plugins-%{version1}/* ImageLounge/plugins/
%autopatch -p1
sed -i "/l = add_git_tag_string(l)/d" scripts/versionupdate.py
# Be sure
rm -rfv 3rd-party/
# wrong lang code (https://github.com/nomacs/nomacs/issues/529)
rm -rfv ImageLounge/translations/nomacs_als.ts

%build
%cmake -S ImageLounge \
       -DCMAKE_BUILD_TYPE=Release\
       -DENABLE_AVIF=1 \
       -DENABLE_HEIF=1 \
       -DENABLE_JXL=1 \
       -DENABLE_RAW=1 \
       -DENABLE_TRANSLATIONS=ON \
       -DUSE_SYSTEM_QUAZIP=ON \
       -DUSE_SYSTEM_WEBP=ON
%{cmake_build}

%install
%{cmake_install}
%find_lang %{name} --with-qt --without-mo
# workaround errors wrt to spaces
sed -i -e 's|Image Lounge|Image\\ Lounge|g' %{name}.lang

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.nomacs.ImageLounge.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.nomacs.ImageLounge.metainfo.xml

%files -f %{name}.lang
%license LICENSE ImageLounge/license/LICENSE.GPLv3 ImageLounge/license/COPYRIGHT
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/Image\ Lounge/translations
%{_datadir}/applications/org.nomacs.ImageLounge.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.nomacs.ImageLounge.svg
%{_libdir}/libnomacsCore.so.3*
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/org.nomacs.ImageLounge.metainfo.xml

%files devel
%{_libdir}/libnomacsCore.so

%files	plugins
%{_libdir}/nomacs-plugins/

%changelog
%autochangelog
